import CategoryFilter from './CategoryFilter';
import Likes from './Likes';
import ScrollBrowser from './ScrollBrowser';

export default class SgNews {

	/**
	 * Kicks things off
	 * @param {string} _section
	 */
	constructor(_section) {
		const section = _section || '';
		const newsList = document.querySelector(`${section} #tx-sgnews-newslist`);
		if (newsList) {
			new CategoryFilter(newsList);
		}

		const likesContainer = document.querySelector(`${section} #tx-sgnews-likes`);
		if (likesContainer) {
			new Likes(likesContainer);
		}

		const scrollBrowserElement = document.querySelector(`${section} .tx-sgnews-pagebrowser`);
		if (scrollBrowserElement) {
			new ScrollBrowser(scrollBrowserElement);
		}
	}
}
